#!/bin/sh

###########################################

date >/tmp/alfred_timestamp

gluon-neighbour-info -d ::1 -p 1001 -t 1 -c 1 -r nodeinfo | gzip | alfred -s 158

# 1
#echo '{
#  "software":{
#    "autoupdater":{"branch":"stable","enabled":false},
#    "batman-adv":{"version":"2019.2","compat":15},
#    "fastd":{"version":"v18","enabled":true},
#    "firmware":{"base":"gluon-v2020.1.3-1-g5bf4c9c+","release":"1.9.0~20200606"},
#    "status-page":{"api":1}
#  },
#  "network":{
#    "addresses":["fd0f:8db3:d50a:0:ce32:e5ff:fe7c:6bc6","fe80::ce32:e5ff:fe7c:6bc6"],
#    "mesh":{"bat0":{"interfaces":{"wireless":["72:3a:bc:81:0f:69"],"tunnel":["72:3a:bc:81:0f:6f"],"other":["72:3a:bc:81:0f:6b"]}}},
#    "mac":"cc:32:e5:7c:6b:c6"
#  },
#  "location":{"latitude":51.45737967,"longitude":11.95855915},
#  "owner":{"contact":"y02hal@faramo.de"},
#  "system":{"role":"node","site_code":"ffhal"},
#  "node_id":"cc32e57c6bc6",
#  "hostname":"ffhal-problem210v3",
#  "hardware":{"model":"TP-Link CPE210 v3.0","nproc":1}
#}' | gzip | alfred -s 158

gluon-neighbour-info -d ::1 -p 1001 -t 1 -c 1 -r statistics | gzip | alfred -s 159

#echo '{
#  "clients":{"total":0,"wifi":1,"wifi24":1,"wifi5":0},
#  "traffic":{
#    "rx":{"packets":426910,"bytes":35615025},
#    "tx":{"packets":9019,"bytes":771990,"dropped":17},
#    "forward":{"packets":1658480,"bytes":847751800},
#    "mgmt_rx":{"packets":5855309,"bytes":1620929648},
#    "mgmt_tx":{"packets":585046,"bytes":172211788}
#  },
#  "gateway":"c6:11:ac:e1:03:1c",
#  "gateway_nexthop":"9e:16:39:7d:a0:aa",
#  "mesh_vpn":{"groups":{"backbone":{"peers":{"vpn3":{"established":4931.704}}}}},
#  "node_id":"cc32e57c6bc6",
#  "rootfs_usage":0.1612,
#  "memory":{"total":58960,"free":31764,"buffers":2184,"cached":7400},
#  "uptime":15187.48,
#  "idletime":7437.91,
#  "loadavg":0.42,
#  "processes":{"running":1,"total":55}
#}' | gzip | alfred -s 159

gluon-neighbour-info -d ::1 -p 1001 -t 1 -c 1 -r neighbours | gzip | alfred -s 160

#echo '{
#  "batadv":{
#    "72:3a:bc:81:0f:69":{
#      "neighbours":{
#        "82:2d:4d:cd:14:a1":{"tq":200,"lastseen":4.5800000000000001},
#        "a6:2e:11:35:54:71":{"tq":234,"lastseen":0.25},
#        "ee:63:7f:3a:14:49":{"tq":232,"lastseen":2.9199999999999999},
#        "ea:6e:c4:8c:ea:39":{"tq":222,"lastseen":4.0899999999999999},
#        "f6:79:b9:35:ce:49":{"tq":0,"lastseen":2.6299999999999999}
#      }
#    },
#    "72:3a:bc:81:0f:6f":{
#      "neighbours":{
#        "0a:a4:e6:e5:14:a7":{"tq":254,"lastseen":0.60999999999999999},
#        "96:fe:44:40:4e:1f":{"tq":255,"lastseen":3.1699999999999999},
#        "2e:d5:a0:df:28:df":{"tq":255,"lastseen":1.29},
#        "72:70:07:a1:b0:4f":{"tq":254,"lastseen":1.8799999999999999},
#        "9e:93:b1:a8:c5:ef":{"tq":255,"lastseen":0.28000000000000003},
#        "a6:0d:98:98:30:7f":{"tq":255,"lastseen":2.7200000000000002},
#        "ee:68:54:75:82:f7":{"tq":252,"lastseen":4.5999999999999996},
#        "fe:66:76:69:ee:9f":{"tq":247,"lastseen":2.8599999999999999},
#        "12:5f:d5:c0:bb:4f":{"tq":255,"lastseen":0.96999999999999997},
#        "9e:16:39:7d:a0:aa":{"tq":255,"lastseen":0.01},
#        "6a:de:2b:34:39:8f":{"tq":255,"lastseen":3.9700000000000002},
#        "12:66:ff:92:ea:17":{"tq":255,"lastseen":4.7000000000000002},
#        "2a:83:92:a2:3f:8f":{"tq":255,"lastseen":1.9099999999999999},
#        "b2:f3:2a:a2:fa:6f":{"tq":255,"lastseen":1.1299999999999999},
#        "de:d3:4b:90:07:ef":{"tq":255,"lastseen":0.25}
#      }
#    }
#  },
#  "node_id":"cc32e57c6bc6",
#  "wifi":{}
#}' | gzip | alfred -s 160

